> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/offboard-user-permanently.md).

# ユーザーを完全にオフボード

### 説明

アクセス権を取り消し、アカウントを無効化または削除し、グループおよびライセンスの割り当てを調整し、必要に応じてメンバーシップをエクスポートすることで、ユーザーを恒久的に退職処理します。必要に応じて、グループ所有権を削除または置き換えます。

### 場所

ユーザー → 全般 → ユーザーを恒久的に退職処理

**完全な Runbook 名**

rjgit-user\_general\_offboard-user-permanently

### アクセス許可

#### アプリケーションのアクセス許可

* **種類**: Microsoft Graph
  * User.ReadWrite.All
  * Group.ReadWrite.All
  * GroupMember.ReadWrite.All

#### 権限に関する注意

Azure IaaS: エクスポートに使用するサブスクリプションまたはリソース グループに対する共同作成者アクセス

#### RBAC ロール

* ユーザー管理者

### パラメーター

#### ユーザー名

対象ユーザーのユーザー プリンシパル名。

| プロパティ | 値    |
| ----- | ---- |
| 必須    | true |
| 既定値   |      |
| 種類    | 文字列  |

#### ユーザー削除

「ユーザー オブジェクトを削除」（最終値: $true）または「ユーザー オブジェクトを保持」（最終値: $false）を実行するアクションとして選択できます。true に設定すると、ユーザー オブジェクトは削除されます。false に設定すると、ユーザー オブジェクトは保持されますが、アクセスは取り消され、サインインはブロックされます。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | False |
| 種類    | ブール値  |

#### ユーザーを無効化

true に設定すると、サインイン用のユーザー アカウントを無効にします。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | True  |
| 種類    | ブール値  |

#### RevokeAccess

true に設定すると、ユーザーの更新トークンとアクティブ セッションを取り消します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | True  |
| 種類    | ブール値  |

#### exportResourceGroupName

データをストレージにエクスポートするための Azure リソース グループ名。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### exportStorAccountName

データをストレージにエクスポートするための Azure Storage Account 名。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### exportStorAccountLocation

Storage Account の作成時に使用される Azure リージョン。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### exportStorAccountSKU

Storage Account の作成時に使用される SKU 名。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### exportStorContainerGroupMembershipExports

グループ メンバーシップのエクスポートに使用されるコンテナー名。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### exportGroupMemberships

true に設定すると、ユーザーの現在のグループ メンバーシップを Azure Storage にエクスポートします。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | False |
| 種類    | ブール値  |

#### ChangeLicensesSelector

直接割り当てられたライセンスをどのように処理するかを制御します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | 0     |
| 種類    | Int32 |

#### ChangeGroupsSelector

「Change」と「Remove all」はどちらも「groupToAdd」を考慮します

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | 0     |
| 種類    | Int32 |

#### GroupToAdd

グループの変更が有効な場合に追加または保持するグループ。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### GroupsToRemovePrefix

命名規則に一致するグループを削除するためのプレフィックス。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### RevokeGroupOwnership

「このユーザーのグループ所有権を削除/置換する」（最終値: $true）または「ユーザーは所有者のまま / 変更しない」（最終値: $false）を実行するアクションとして選択できます。true に設定すると、runbook はユーザーをグループ所有権から削除しようとします。ユーザーがグループの最後の所有者である場合は、代替の所有者を割り当てようとします。失敗した場合は、そのグループの所有権変更をスキップし、手動での後続対応用に記録します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | True  |
| 種類    | ブール値  |

#### ManagerAsReplacementOwner

true に設定すると、該当する場合はユーザーのマネージャーを代替所有者として使用します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | True  |
| 種類    | ブール値  |

#### ReplacementOwnerName

必要に応じて、グループまたはリソースの所有権を引き継ぐユーザー。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/general/offboard-user-permanently.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
